Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 4.0

Prerequisites

For jetty <= 6:

  • svn - to check out the source
  • mvn ( preferably at least 2.0.8 )
  • jdk1.5
  • cvs - to checkout JSP for jetty 6

For hightide and contributions >= 7:

  • git - to check out the source
  • mvn ( preferably at least 3.0.3 )
  • jdk1.6

Quick start

jetty-6

Code Block
svn checkout http://svn.codehaus.org/jetty/jetty/branches/jetty-6.1/ jetty-6
cd jetty-6
mvn install
The Gory Details

jetty-7 related contributions, hightide etc

Code Block
git clone git://git.codehaus.org/jetty-project.git
cd jetty
mvn install
Contact the core Jetty developers at www.webtide.com
private support for your internal/customer projects ... custom extensions and distributions ... versioned snapshots for indefinite support ... scalability guidance for your apps and Ajax/Comet projects ... development services from 1 day to full product delivery